--- a/CMakeLists.txt
+++ b/CMakeLists.txt
@@ -373,11 +373,17 @@
 ENDIF(AUDIO_CAPTCHA)
 
 IF(FROST_SUPPORT OR FCP_SSL_SUPPORT)
-	ADD_SUBDIRECTORY(libs/mbedtls)
-	TARGET_LINK_LIBRARIES(fms mbedtls)
-	TARGET_LINK_LIBRARIES(fms mbedcrypto)
-	TARGET_LINK_LIBRARIES(fms mbedx509)
-	INCLUDE_DIRECTORIES(libs/mbedtls/include)
+	FIND_LIBRARY(MBEDTLS_LIBRARY NAMES mbedtls )
+	FIND_LIBRARY(MBEDCRYPTO_LIBRARY NAMES mbedcrypto mbedx509)
+	FIND_LIBRARY(MBEDX509_LIBRARY NAMES mbedx509)
+
+	IF(MBEDTLS_LIBRARY)
+		TARGET_LINK_LIBRARIES(fms ${MBEDTLS_LIBRARY})
+		TARGET_LINK_LIBRARIES(fms ${MBEDCRYPTO_LIBRARY})
+		TARGET_LINK_LIBRARIES(fms ${MBEDX509_LIBRARY})
+	ELSE(MBEDTLS_LIBRARY)
+		MESSAGE(FATAL ERROR: "Could not find mbedtls library.")
+	ENDIF(MBEDTLS_LIBRARY)
 
 	IF(FROST_SUPPORT)
 		ADD_DEFINITIONS(-DFROST_SUPPORT)
